Index: branches/CEDMA-Refactoring-Ticket419/HeuristicLab.GP.StructureIdentification.TimeSeries/OffspringSelectionGP.cs
===================================================================
--- branches/CEDMA-Refactoring-Ticket419/HeuristicLab.GP.StructureIdentification.TimeSeries/OffspringSelectionGP.cs	(revision 1254)
+++ branches/CEDMA-Refactoring-Ticket419/HeuristicLab.GP.StructureIdentification.TimeSeries/OffspringSelectionGP.cs	(revision 1262)
@@ -34,10 +34,9 @@
 namespace HeuristicLab.GP.StructureIdentification.TimeSeries {
   public class OffspringSelectionGP : HeuristicLab.GP.StructureIdentification.OffspringSelectionGP {
-    private BoolData autoregressive = new BoolData();
-    public bool Autoregressive {
-      get { return autoregressive.Data; }
-      set { autoregressive.Data = value; }
+    public virtual bool Autoregressive {
+      get { return GetVariableInjector().GetVariable("Autoregressive").GetValue<BoolData>().Data; }
+      set { GetVariableInjector().GetVariable("Autoregressive").GetValue<BoolData>().Data = value; }
     }
-    
+
     protected override IOperator CreateFunctionLibraryInjector() {
       return new FunctionLibraryInjector();
@@ -50,5 +49,5 @@
     protected override IOperator CreateGlobalInjector() {
       VariableInjector injector = (VariableInjector)base.CreateGlobalInjector();
-      injector.AddVariable(new HeuristicLab.Core.Variable("Autoregressive", autoregressive));
+      injector.AddVariable(new HeuristicLab.Core.Variable("Autoregressive", new BoolData()));
       return injector;
     }
@@ -67,4 +66,10 @@
       return new OffspringSelectionGpEditor(this);
     }
+
+    public override object Clone(IDictionary<Guid, object> clonedObjects) {
+      OffspringSelectionGP clone = (OffspringSelectionGP)base.Clone(clonedObjects);
+      clone.Autoregressive = Autoregressive;
+      return clone;
+    }
   }
 }
Index: branches/CEDMA-Refactoring-Ticket419/HeuristicLab.GP.StructureIdentification.TimeSeries/OffspringSelectionGpEditor.cs
===================================================================
--- branches/CEDMA-Refactoring-Ticket419/HeuristicLab.GP.StructureIdentification.TimeSeries/OffspringSelectionGpEditor.cs	(revision 1254)
+++ branches/CEDMA-Refactoring-Ticket419/HeuristicLab.GP.StructureIdentification.TimeSeries/OffspringSelectionGpEditor.cs	(revision 1262)
@@ -19,5 +19,5 @@
 
     protected override void SetDataBinding() {
-      base.SetDataBinding();
+      base.SetDataBinding();      
       autoregressionCheckbox.DataBindings.Add("Checked", OffspringSelectionGP, "Autoregressive");
     }
Index: branches/CEDMA-Refactoring-Ticket419/HeuristicLab.GP.StructureIdentification.TimeSeries/StandardGP.cs
===================================================================
--- branches/CEDMA-Refactoring-Ticket419/HeuristicLab.GP.StructureIdentification.TimeSeries/StandardGP.cs	(revision 1254)
+++ branches/CEDMA-Refactoring-Ticket419/HeuristicLab.GP.StructureIdentification.TimeSeries/StandardGP.cs	(revision 1262)
@@ -34,8 +34,7 @@
 namespace HeuristicLab.GP.StructureIdentification.TimeSeries {
   public class StandardGP : HeuristicLab.GP.StructureIdentification.StandardGP {
-    private BoolData autoregressive = new BoolData();
     public bool Autoregressive {
-      get { return autoregressive.Data; }
-      set { autoregressive.Data = value; }
+      get { return GetVariableInjector().GetVariable("Autoregressive").GetValue<BoolData>().Data; }
+      set { GetVariableInjector().GetVariable("Autoregressive").GetValue<BoolData>().Data = value; }
     }
 
@@ -50,5 +49,5 @@
     protected override IOperator CreateGlobalInjector() {
       VariableInjector injector = (VariableInjector)base.CreateGlobalInjector();
-      injector.AddVariable(new HeuristicLab.Core.Variable("Autoregressive", autoregressive));
+      injector.AddVariable(new HeuristicLab.Core.Variable("Autoregressive", new BoolData()));
       return injector;
     }
@@ -138,4 +137,9 @@
       }
     }
+    public override object Clone(IDictionary<Guid, object> clonedObjects) {
+      OffspringSelectionGP clone = (OffspringSelectionGP)base.Clone(clonedObjects);
+      clone.Autoregressive = Autoregressive;
+      return clone;
+    }
   }
 }
